import { admin } from "@/access/admin";
import { CollectionConfig } from "payload";

export const Genre: CollectionConfig = {
  slug: 'genre',
  admin: {
    useAsTitle: 'name',
  },
  access: {
    read: () => true,
    update: admin,
    create: () => true,
    delete: admin,
  },
  fields: [
    {
      name: 'name',
      type: 'text',
      unique: true,
      required: true,
    }
  ]
}
