'use server'

import { getPayload } from 'payload'
import config from '@/payload.config'
import { HoldRequest } from '@/payload-types'

type Props = {
  holdRequestId: number,
}
export const rejectHoldRequest = async (props: Props): Promise<HoldRequest | null> => {
  const { holdRequestId } = props

  const payloadConfig = await config
  const payload = await getPayload({ config: payloadConfig })

  try {
    const updatedHold = await payload.update({
      collection: 'holdRequests',
      id: holdRequestId,
      data: {
        isRejected: true,
        isHolding: false,
      }
    })
    return updatedHold
  } catch (_) {
    return null
  }
}

export default rejectHoldRequest
